Package: groovy.org.codenarc.rule.junit

## [Groovy] Class JUnitTearDownCallsSuperRule

- groovy.org.codenarc.rule.junit.JUnitTearDownCallsSuperRule

- Rule that checks that if the JUnit `tearDown()` method is defined, that it includes a call to `super.tearDown()`.

  This rule sets the default value of `applyToFilesMatching` to only match source code file paths ending in 'Test.groovy' or 'Tests.groovy'.
  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToClassNames`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToClassNames

    - #### Class astVisitorClass

    - #### String name

    - #### int priority